Manuel PHP
Précédent |  | Suivant

# HttpResponse::setHeader

(no version information, might be only in CVS)

HttpResponse::setHeader -- Définit un en-tête

## Description

staticbool HttpResponse::setHeader ( string name [, mixed value [, bool replace = TRUE]] )

Définit un en-tête HTTP.

## Liste de paramètres

name

  le nom de l'en-tête

value

  la valeur de l'en-tête ; si ce paramètre n'est pas définit, aucun en-tête avec ce nom ne sera envoyé

replace

  si l'on doit remplacer un en-tête éventuel déjà existant

## Valeurs de retour

Cette fonction retourne `TRUE` en cas de succès, `FALSE` en cas d'échec.

## Erreurs / Exceptions

Lance une exception HttpHeaderException.

Précédent | Sommaire | Suivant
HttpResponse::setGzip | Niveau supérieur | HttpResponse::setLastModified